let getValue = (obj, deepKey) => {
    if (!deepKey || !obj) {
        return null;
    }
    let result = obj[deepKey];
    if (result === undefined && deepKey.indexOf('.')) {
        let keys = deepKey.split('.');
        let key = keys.splice(0, 1)[0];
        result = obj[key];
        if (result === null) {
            return '';
        }
        if (result !== undefined) {
            return getValue(result, keys.join('.'));
        } else {
            while (result === undefined && keys.length) {
                key += '.' + keys.splice(0, 1)[0];
                result = obj[key];
            }
            return getValue(result, keys.join('.'));
        }
    }
    return result;
};

export default {
    getValue
};
